Skip to main content
GET
/
projects
/
{projectId}
/
billing
/
subscription
Get subscription details
curl --request GET \
  --url https://spectrum.photon.codes/projects/{projectId}/billing/subscription
{
  "succeed": true,
  "data": {
    "tier": "<string>",
    "subscription_id": "<string>",
    "customer_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.photon.codes/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

200 - application/json

Response for status 200

succeed
boolean
required
data
object
required